Bug 205063 - Printer Settings such as A4 page size not retained on non-default printers
Printer Settings such as A4 page size not retained on non-default printers
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
6
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-03 01:40 EDT by David Cartwright
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version: cups-1.2.10-3.fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-19 20:56:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Cartwright 2006-09-03 01:40:56 EDT
Description of problem:
On a system with a number of printers, all of which are configured to default
page size of A4, when using a non-default printer, the page size reverts to US
Letter page size after every printing.


Version-Release number of selected component (if applicable):
Firefox 1.5.0.6 ... but seems that Mozilla (and probably Firefox) has had
problems with A4 for a long time .. ref:
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=68859

How reproducible:
Happens every time

Steps to Reproduce:
1. Setup multiple A4 printers with default page size as A4
2. In Firefox: File | Print
3. Choose a non-default printer
4. Check properties.
5. Even though default page size for printer is A4, properties has reverted to
US Letter page size
6. Change to A4 and change gap from edge of paper to margin to preferred widths.
7. Print
8. Go to File | Print
9. Choose a non-default printer
10. check properties
11. Even though default page size for printer is A4, properties has reverted to
US Letter page size.
12. Sometime gap from edge of paper to margin settings are maintained betwene
printings. Sometimes they are not.
  
Actual results:
See above

Expected results:
Firefox should detect system-wide printer settings and apply to its print properties

Additional info:
Comment 1 Matthew Miller 2007-04-06 12:59:02 EDT
Fedora Core 5 and Fedora Core 6 are, as we're sure you've noticed, no longer
test releases. We're cleaning up the bug database and making sure important bug
reports filed against these test releases don't get lost. It would be helpful if
you could test this issue with a released version of Fedora or with the latest
development / test release. Thanks for your help and for your patience.

[This is a bulk message for all open FC5/FC6 test release bugs. I'm adding
myself to the CC list for each bug, so I'll see any comments you make after this
and do my best to make sure every issue gets proper attention.]

Note You need to log in before you can comment on or make changes to this bug.